## com.thaiopensource.validate.auto
Class AutoSchemaReader

    java.lang.Object
      com.thaiopensource.validate.AbstractSchemaReader
          com.thaiopensource.validate.auto.AutoSchemaReader

All Implemented Interfaces:
  SchemaReader

    public class AutoSchemaReader

extends AbstractSchemaReader

Field Summary

Fields inherited from interface com.thaiopensource.validate.SchemaReader
`BASE_URI`

Constructor Summary
`AutoSchemaReader()`
`AutoSchemaReader(SchemaReceiverFactory srf)`

Method Summary
`Schema` `createSchema(SAXSource source, PropertyMap properties)`
`Option` `getOption(String uri)`

Methods inherited from class com.thaiopensource.validate.AbstractSchemaReader
`createSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoSchemaReader

    public AutoSchemaReader()

### AutoSchemaReader

    public AutoSchemaReader(SchemaReceiverFactory srf)

Method Detail

### createSchema

    public Schema createSchema(SAXSource source,
                               PropertyMap properties)
                        throws IOException,
                               SAXException,
                               IncorrectSchemaException

  Throws:
    `IOException`
    `SAXException`
    `IncorrectSchemaException`

### getOption

    public Option getOption(String uri)